# SENTUserCreationFailureReason

```objectivec
typedef NS_ENUM(NSUInteger, SENTUserCreationFailureReason)
```

| Type                                                    | Description                                                                                  |
| ------------------------------------------------------- | -------------------------------------------------------------------------------------------- |
| **SENTUserCreationFailureReasonSdkResetInProgress**     | A user cannot be created while the SDK is being reset.                                       |
| **SENTUserCreationFailureReasonUserCreationInProgress** | User creation is already in progress.                                                        |
| **SENTUserCreationFailureReasonUserAlreadyExists**      | A user already exists. There cannot be more than one Sentiance user at a time on the device. |
| **SENTUserCreationFailureReasonNetworkError**           | A network error occurred.                                                                    |
| **SENTUserCreationFailureReasonServerError**            | A server error occurred.                                                                     |
| **SENTUserCreationFailureReasonUnexpectedError**        | An unexpected error occurred.                                                                |
| **SENTUserCreationFailureReasonAppSideLinkingFailed**   | The application failed to complete the user linking step.                                    |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sentiance.com/important-topics/sdk/api-reference/ios/user-creation-and-linking/user-creation/sentusercreationfailurereason.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
